Post
Get a post
Returns a single post with its account, children, and media.
Base URL
https://app.usesaki.com/apiget
/spaces/{space}/posts/{post}Get a post
Returns a single post with its account, children, and media.
Authorization
Bearer <token>Path Parameters
spacerequiredintegerThe space ID
postrequiredintegerThe post ID
Response
curl -X GET "https://app.usesaki.com/api/spaces/{space}/posts/{post}" \
-H "Authorization: Bearer YOUR_TOKEN"Response
{
"data": {
"id": 0,
"content": "string",
"status": 0,
"order": 0,
"scheduled_at": "2024-01-01T00:00:00Z",
"published_at": "2024-01-01T00:00:00Z",
"metadata": [
{}
],
"imported": true,
"cluster_id": "string",
"parent_id": 0,
"user_id": 0,
"account_id": 0,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"analytics": [
{}
],
"account": {
"id": 0,
"social": "string",
"display_name": "string",
"handler": "string",
"avatar": "string",
"is_active": true
},
"children": [
{}
],
"media": [
{
"id": "string",
"type": "string",
"url": "string",
"mime": "string",
"width": "string",
"height": "string",
"size": "string",
"alt": "string",
"order": "string"
}
]
}
}